import { EMError } from "libhyphenate.so";
export class EMConnectionListener {
    onConnect: () => void;
    onDisconnect: (error: EMError, info: string, ext: string) => void;
    onPong: () => void;
    onTokenNotification: (error: EMError) => void;
    onReceiveToken: (token: string, expiredTs: number) => void;
    onDatabaseOpened: (error: EMError) => void;
    verifyServerCert: (certschain: Array<string>, domain: string, callback: (result: boolean) => void) => void;
    onOfflineMessageSyncStart: () => void;
    onOfflineMessageSyncFinish: () => void;
}
