import { EMMucSharedFile, EMMucSetting } from 'libhyphenate.so';
export class EMGroup {
    groupId: () => string;
    groupSubject: () => string;
    groupDescription: () => string;
    groupOwner: () => string;
    groupSetting: () => EMMucSetting;
    groupMembersCount: () => number;
    groupMemberType: () => number;
    isPushEnabled: () => boolean;
    isMessageBlocked: () => boolean;
    groupMembers: () => Array<string>;
    groupBans: () => Array<string>;
    groupAdmins: () => Array<string>;
    getWhitelist: () => Array<string>;
    isAllMemberMuted: () => boolean;
    groupMutes: () => Map<string, number>;
    groupSharedFiles: () => Array<EMMucSharedFile>;
    groupAnnouncement: () => string;
    getGroupPermissionType: () => number;
    isDisabled: () => boolean;
}
