import { EMPresence, EMPresenceManagerListener } from "libhyphenate.so";
export class EMPresenceManager {
    addListener: (listener: EMPresenceManagerListener) => void;
    publishPresence: (presenceStatus: number, ext: string) => Promise<void>;
    subscribePresences: (members: Array<string>, expiry: number) => Promise<Array<EMPresence>>;
    unsubscribePresences: (members: Array<string>) => Promise<void>;
    fetchSubscribedMembers: (pageNumber: number, pageSize: number) => Promise<Array<string>>;
    fetchPresenceStatus: (members: Array<string>) => Promise<Array<EMPresence>>;
}
