import { EMChatPrivateConfigs } from 'libhyphenate.so';
export class EMChatConfigs {
    constructor(r12: string, s12: string, t12: string, u12: string, v12: number);
    setUsingHttps: (httpsOnly: boolean) => void;
    getUsingHttps: () => boolean;
    setSortMessageByServerTime: (sortByServerTime: boolean) => void;
    getSortMessageByServerTime: () => boolean;
    getResourcePath: () => string;
    getWorkPath: () => string;
    setLogPath: (path: string) => void;
    getLogPath: () => string;
    setDownloadPath: (path: string) => void;
    getDownloadPath: () => string;
    setAppKey: (appKey: string) => void;
    getAppKey: () => string;
    setAppId: (appId: string) => void;
    getAppId: () => string;
    setEnableConsoleLog: (enableConsoleLog: boolean) => void;
    getEnableConsoleLog: () => boolean;
    setAutoAcceptFriend: (isAutoAcceptFriend: boolean) => void;
    getAutoAcceptFriend: () => boolean;
    setAutoAcceptGroup: (isAutoAcceptGroup: boolean) => void;
    getAutoAcceptGroup: () => boolean;
    setRequireReadAck: (isRequireReadAck: boolean) => void;
    getRequireReadAck: () => boolean;
    setRequireDeliveryAck: (isRequireDeliveryAck: boolean) => void;
    getRequireDeliveryAck: () => boolean;
    setAutoConversationLoaded: (isAutoConversationLoaded: boolean) => void;
    getAutoConversationLoaded: () => boolean;
    setDeleteMessageAsExitGroup: (isDeleteMessageAsExitGroup: boolean) => void;
    getDeleteMessageAsExitGroup: () => boolean;
    setIsChatroomOwnerLeaveAllowed: (isChatroomOwnerLeaveAllowed: boolean) => void;
    getIsChatroomOwnerLeaveAllowed: () => boolean;
    setNumOfMessageLoaded: (numOfMessageLoaded: number) => void;
    getNumOfMessageLoaded: () => number;
    setOs: (osType: number) => void;
    getOs: () => number;
    setOsVersion: (osVersion: string) => void;
    getOsVersion: () => string;
    setSdkVersion: (version: string) => void;
    getSdkVersion: () => string;
    getDeviceID: () => number;
    setClientResource: (resource: string) => void;
    clientResource: () => string;
    setLogLevel: (level: number) => void;
    setDeviceUuid: (uuid: string) => void;
    deviceUuid: () => string;
    setDeviceName: (deviceName: string) => void;
    getDeviceName: () => string;
    privateConfigs: () => EMChatPrivateConfigs;
    setDeleteMessageAsExitChatRoom: (isDeleteMessageAsExitChatRoom: boolean) => void;
    getDeleteMessageAsExitChatRoom: () => boolean;
    setUsingHttpsOnly: (httpsOnly: boolean) => void;
    getUsingHttpsOnly: () => boolean;
    setDnsURL: (url: string) => void;
    getDnsURL: () => string;
    setTransferAttachments: (isTransferAttachments: boolean) => void;
    getTransferAttachments: () => boolean;
    setAutoDownloadThumbnail: (autoDownload: boolean) => void;
    getAutoDownloadThumbnail: () => boolean;
    setAppPackageName: (appPackageName: string) => void;
    setIMServer: (imServer: string) => void;
    getImServer: () => string;
    setImPort: (imPort: number) => void;
    getImPort: () => number;
    setRestServer: (restServer: string) => void;
    getRestServer: () => string;
    enableDNSConfig: (enable: boolean) => void;
    getEnableDNSConfig: () => boolean;
    setLoginCustomExt: (ext: string) => void;
    getLoginCustomExt: () => string;
    setAreaCode: (code: number) => void;
    getAreaCode: () => number;
    getCustomOSPlatform: () => number;
    setCustomOSPlatform: (platform: number) => void;
    getCustomDeviceName: () => string;
    setCustomDeviceName: (customDeviceName: string) => void;
    isIncludeSendMessageInMessageListener: () => boolean;
    setIncludeSendMessageInMessageListener: (include: boolean) => void;
    regardImportedMsgAsRead: () => boolean;
    setRegardImportedMsgAsRead: (regardImportedMsgAsRead: boolean) => void;
    setEnableTLSConnection: (enableTLSConnection: boolean) => void;
    isEnableTLSConnection: () => boolean;
    setEnableUploadInParts: (enableUploadInParts: boolean) => void;
    setServiceId: (serviceId: string) => void;
    setUseReplacedMessageContents: (useReplacedMessageContents: boolean) => void;
    isUseReplacedMessageContents: () => boolean;
}
