import { EMConversation, EMError, EMGroupReadAck, EMMessage, EMMessagePinInfo, EMMessageReactionChange } from 'libhyphenate.so';
export class EMChatManagerListener {
    onReceiveMessages: (messages: Array<EMMessage>) => void;
    onReceiveCmdMessages: (messages: Array<EMMessage>) => void;
    onMessageStatusChanged: (message: EMMessage, error: EMError) => void;
    onMessageAttachmentsStatusChanged: (message: EMMessage, error: EMError) => void;
    onReceiveHasReadAcks: (messages: Array<EMMessage>) => void;
    onReceiveHasDeliveredAcks: (messages: Array<EMMessage>) => void;
    onReceiveRecallMessages: (recallInfo: Array<object>) => void;
    onUpdateConversationList: (conversations: Array<EMConversation>) => void;
    onMessageContentChanged: (message: EMMessage, operatorId: string, operationTime: number) => void;
    onReceiveReadAcksForGroupMessage: (groupReadAckList: Array<EMGroupReadAck>) => void;
    onReceiveReadAckForConversation: (from: string, to: string) => void;
    onUpdateGroupAcks: () => void;
    onReceivePrivateMessages: (messages: Array<EMMessage>) => void;
    onMessagePinChanged: (messageId: string, conversationId: string, pinOperation: number, pinInfo: EMMessagePinInfo) => void;
    onReactionChanged: (messageReactionChange: Array<EMMessageReactionChange>) => void;
}
