import { EMFileMessageBody } from "libhyphenate.so";
export class EMVideoSize {
    constructor(z13: number, a14: number);
    width: number;
    height: number;
}
export class EMVideoMessageBody extends EMFileMessageBody {
    constructor(x13: string, y13: string);
    type: () => number;
    setDisplayName: (displayName: string) => void;
    displayName: () => string;
    setLocalPath: (localPath: string) => void;
    localPath: () => string;
    setRemotePath: (remotePath: string) => void;
    remotePath: () => string;
    setSecretKey: (secretKey: string) => void;
    secretKey: () => string;
    setFileLength: (fileLength: number) => void;
    fileLength: () => number;
    setDownloadStatus: (downloadStatus: number) => void;
    downloadStatus: () => number;
    setThumbnailLocalPath: (thumbnailLocalPath: string) => void;
    thumbnailLocalPath: () => string;
    setThumbnailRemotePath: (thumbnailRemotePath: string) => void;
    thumbnailRemotePath: () => string;
    setThumbnailSecretKey: (thumbnailSecretKey: string) => void;
    thumbnailSecretKey: () => string;
    setThumbnailDownloadStatus: (thumbnailDownloadStatus: number) => void;
    thumbnailDownloadStatus: () => number;
    setSize: (size: EMVideoSize) => void;
    size: () => EMVideoSize;
    setDuration: (duration: number) => void;
    duration: () => number;
    operationTime: () => number;
    operatorId: () => string;
    operationCount: () => number;
}
